Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.annotations.soap
Class SOAPBindingAnnotation

    java.lang.Object
      org.codehaus.xfire.annotations.soap.SOAPBindingAnnotation

Direct Known Subclasses:
  SOAPBinding

    public class SOAPBindingAnnotation

extends java.lang.Object

Represents an common representation of a soap binding annotation. Specifies the mapping of the Web Service onto the SOAP message protocol.

Author:
  Arjen Poutsma

Field Summary
`static int` | `PARAMETER_STYLE_BARE` Constant used to specify a bare parameter binding style.
`static int` | `PARAMETER_STYLE_WRAPPED` Constant used to specify a wrapped parameter binding style.
`static int` | `STYLE_DOCUMENT` Constant used to specify a document binding style.
`static int` | `STYLE_RPC` Constant used to specify a rpc binding style.
`static int` | `USE_ENCODED` Constant used to specify a encoded binding use.
`static int` | `USE_LITERAL` Constant used to specify a literal binding use.

Constructor Summary
`SOAPBindingAnnotation()`

Method Summary
`int` | `getParameterStyle()` Returns the SOAP parameter binding style.
`int` | `getStyle()` Returns the SOAP binding style, which defines the encoding style for messages send to and from the Web Service.
`java.lang.String` | `getStyleString()` Returns a `String` representation of the SOAP binding style.
`int` | `getUse()` Returns the SOAP binding use, which defines the formatting style for messages sent to and from the Web Service.
`java.lang.String` | `getUseString()` Returns a `String` representation of the SOAP binding use.
`void` | `setParameterStyle(int parameterStyle)` Sets the SOAP parameter binding style.
`void` | `setStyle(int style)` Sets the SOAP binding style, which defines the encoding style for messages send to and from the Web Service.
`void` | `setUse(int use)` Sets the SOAP binding use, which defines the formatting style for messages sent to and from the Web Service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STYLE_DOCUMENT

    public static final int STYLE_DOCUMENT

  Constant used to specify a document binding style. This is the default document style.

  See Also:
    Constant Field Values

### STYLE_RPC

    public static final int STYLE_RPC

  Constant used to specify a rpc binding style.

  See Also:
    Constant Field Values

### USE_LITERAL

    public static final int USE_LITERAL

  Constant used to specify a literal binding use. This is the default use.

  See Also:
    Constant Field Values

### USE_ENCODED

    public static final int USE_ENCODED

  Constant used to specify a encoded binding use.

  See Also:
    Constant Field Values

### PARAMETER_STYLE_BARE

    public static final int PARAMETER_STYLE_BARE

  Constant used to specify a bare parameter binding style.

  See Also:
    Constant Field Values

### PARAMETER_STYLE_WRAPPED

    public static final int PARAMETER_STYLE_WRAPPED

  Constant used to specify a wrapped parameter binding style. This is the default parameter style.

  See Also:
    Constant Field Values

Constructor Detail

### SOAPBindingAnnotation

    public SOAPBindingAnnotation()

Method Detail

### getStyle

    public int getStyle()

  Returns the SOAP binding style, which defines the encoding style for messages send to and from the Web Service. The returned value is one of `STYLE_DOCUMENT` or `STYLE_RPC`.

  Returns:
    the SOAP binding style.

### getStyleString

    public java.lang.String getStyleString()

  Returns a `String` representation of the SOAP binding style. The returned value is one of `SoapConstants.STYLE_DOCUMENT` or `SoapConstants.STYLE_RPC`.

  Returns:
    the SOAP binding style as a `String`.
  See Also:
    `SoapConstants`

### setStyle

    public void setStyle(int style)

  Sets the SOAP binding style, which defines the encoding style for messages send to and from the Web Service. The given parameter must be one of `STYLE_DOCUMENT` or `STYLE_RPC`.

  Parameters:
    `style` - the new binding style.
  Throws:
    `java.lang.IllegalArgumentException` - if `style` is not a valid style.

### getUse

    public int getUse()

  Returns the SOAP binding use, which defines the formatting style for messages sent to and from the Web Service. The returned value is one of `USE_LITERAL` or `USE_ENCODED`.

  Returns:
    the SOAP binding use.

### getUseString

    public java.lang.String getUseString()

  Returns a `String` representation of the SOAP binding use. The returned value is one of `SoapConstants.USE_ENCODED` or `SoapConstants.USE_LITERAL`.

  Returns:
    the SOAP binding use as a `String`.
  See Also:
    `SoapConstants`

### setUse

    public void setUse(int use)

  Sets the SOAP binding use, which defines the formatting style for messages sent to and from the Web Service. The given parameter must be one of `USE_LITERAL` or `USE_ENCODED`.

  Parameters:
    `use` - the new binding use.
  Throws:
    `java.lang.IllegalArgumentException` - if `use` is not a valid use.

### getParameterStyle

    public int getParameterStyle()

  Returns the SOAP parameter binding style. This style determines whether method parameters represent the entire message body, or whether the parameters are elements wrapped inside a top-level element named after the operation.

  The returned value is one of `PARAMETER_STYLE_BARE` or `PARAMETER_STYLE_WRAPPED`.

  Returns:
    the SOAP parameter binding style.

### setParameterStyle

    public void setParameterStyle(int parameterStyle)

  Sets the SOAP parameter binding style. This style determines whether method parameters represent the entire message body, or whether the parameters are elements wrapped inside a top-level element named after the operation

  The given parameter must be one of `PARAMETER_STYLE_BARE` or `PARAMETER_STYLE_WRAPPED`.

  Parameters:
    `parameterStyle` - the new SOAP parameter binding style.
  Throws:
    `java.lang.IllegalArgumentException` - if `parameterStyle` is not a valid parameter style.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.